#!/usr/bin/perl -w
#
# $Id: AboutDialog.pm,v 1.9 2003/06/23 01:15:36 solovam Exp $
#
# AboutDialog class
#
package AboutDialog;

use Gnome;
use Misc;
use strict;

#
# Constructor
#
sub new
{
	my $type = shift;
	my $self = {};
	bless $self, $type;

	my $gKismetApplication = shift;
	$self->{'gKismetApplication'} = $gKismetApplication;
	
	my $about = new Gnome::About('gkismet', '0.01',
		'(C) 2003 Anton Solovyev (solovam@earthlink.net)', 'Anton Solovyev', 'gkismet - a GtkPerl based Kismet client');
	$about->signal_connect('destroy', sub{$self->destroyHandler()});
	$about->set_parent($gKismetApplication->getWidget());
	$self->{'about'} = $about;
	$about->show();

	return $self;
}

#
# Get widget
#
sub getWidget
{
	my $self = shift;
	return $self->{'about'};
}

#
# Destroy signal handler
#
sub destroyHandler
{
	my $self = shift;
	$self->{'gKismetApplication'}->aboutClose();
	return($false);
}

1;
